--- title: "Get index list (deprecated)" slug: "maiu-list-indexes" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-list-indexes" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get index list (deprecated) Available in VPC Caution This API is deprecated and is scheduled to be removed in January 2027. Use the new [Get index](/docs/en/mi-get-index) API to retrieve the latest index entry for each asset. Get the index list of a media asset. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/indexes | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/indexes' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result.totalCount` | Integer | - | Total index count | | `result.indexes` | Array | - | Index object list: [indexes](/docs/en/maiu-list-indexes#indexes) | #### `indexes` The following describes `indexes`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `indexId` | Integer | - | Index ID | | `type` | String | - | Asset type - `IMAGE` \| `VIDEO` - `IMAGE`: Image - `VIDEO`: Video | | `createdTime` | String | - | Index creation date and time - ISO 8601 format | | `createdUserName` | String | - | User name that created the index | | `updatedTime` | String | - | Last index modification date and time - ISO 8601 format | | `updatedUserName` | String | - | User name who last edited the index | | `analysisSetting` | Object | - | Analysis configuration information | | `analysisSetting.analysisEngine` | String | - | Analysis engine version - `Sinossi v1.0` | | `analysisSetting.sceneRange` | String | - | (During video analysis) Length of automatically split scenes - `SHORT` \| `MEDIUM` (default) \| `LONG` - `SHORT`: Analyze detailed scenes in the video with second-by-second segmentation. - `MEDIUM`: Capture key changes while maintaining proper flow between scenes. - `LONG`: Maintain a natural flow by enhancing connectivity between scenes. - Image assets are displayed as null. | | `analysisSetting.analysisPersonCount` | Integer | - | Number of people to detect when analyzing | | `analysisSetting.analysisLanguage` | String | - | Reference language for analysis - This field will be removed in the future (replacement field: `sourceLanguage`). | | `analysisSetting.sourceLanguage` | String | - | Language information of the original file being analyzed - `ENKO` (default) \| `EN` \| `KO` \| `JA` \| `ZH-CN` \| `ZH-TW` - `ENKO`: Korean + English - `EN`: English - `KO`: Korean - `JA`: Japanese - `ZH-CN`: Chinese (Simplified) - `ZH-TW`: Chinese (Traditional) | | `analysisSetting.detectAudioEffects` | Boolean | - | (During video analysis) Whether to add the audio effect set during analysis - `true`│`false` (default) | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "totalCount": 2, "indexes": [ { "indexId": 1001, "type": "VIDEO", "createdTime": "2025-04-24T10:10:47", "createdUserName": "username", "updatedTime": "2025-04-24T10:12:52", "updatedUserName": "username", "analysisSetting": { "analysisEngine": "Sinossi v1.0", "sceneRange": "LONG", "analysisPersonCount": 6, "analysisLanguage": "ENKO", "sourceLanguage": "ENKO", "detectAudioEffects": true } }, { "indexId": 1002, "type": "IMAGE", "createdTime": "2025-04-24T10:31:08", "createdUserName": "username", "updatedTime": "2025-04-24T10:33:11", "updatedUserName": "username", "analysisSetting": { "analysisEngine": "Sinossi v1.0", "sceneRange": null, "analysisPersonCount": 8, "analysisLanguage": "EN", "sourceLanguage": "EN", "detectAudioEffects": false } } ] } } ```